# Program to generate a random sequence of DNA. User inputs the sequence length. 
# This program shows the percentage for each base generated in the final DNA sequence.
import random

# Reads sequence length
sequence_length = int(input("\nType the number of bases in the DNA sequence => "))

# Set initial values for count_bases, count_C, count_G, count_A, count_T, and dna
count_bases = 0
count_C = 0
count_G = 0
count_A = 0
count_T = 0
dna = ""

# while loop to generate random sequence
while count_bases < sequence_length:
    base_number = random.randint(1,4)   # Generates random number in [1,4]
    if base_number == 1:                # For C
        base = "C"                      # Assigns "C" to base
    elif base_number == 2:              # For G
        base = "G"                      # Assigns "G" to base
    elif base_number == 3:              # For A
        base = "A"                      # Assigns "A" to base
    else:                               # For T
        base = "T"                      # Assigns "T" to base
    dna = "".join([dna,base])           # Adds to dna sequence using .join to add strings
    count_bases += 1                    # Adds 1 to count_bases and assigns it to count_bases

# Calculates percentage for each base
if count_bases > 0:
    perc_C = 100*dna.count("C")/count_bases
    perc_G = 100*dna.count("G")/count_bases
    perc_A = 100*dna.count("A")/count_bases
    perc_T = 100*dna.count("T")/count_bases

# Shows dna sequence
print("\nMy random DNA sequence:")
print(dna)

# Shows percentage for each base
print("\nPercentage of C in the sequence: ",perc_C)
print("\nPercentage of G in the sequence: ",perc_G)
print("\nPercentage of A in the sequence: ",perc_A)
print("\nPercentage of T in the sequence: ",perc_T)