# Program to generate a random sequence of DNA. User inputs the sequence length and the name of the output file.
# Random DNA sequence will be written in the output file. 
# This program shows the percentage for each base generated in the final DNA sequence.
import random

# Reads sequence length
sequence_length = int(input("\nType the number of bases in the DNA sequence => "))

# Reads output file name
file_in = input("\nGive the DNA file name => ")

# Opens DNA file
dna_out = open(file_in,"w")

# Set initial values for count_bases, count_C, count_G, count_A, count_T, and dna
count_bases = 0
count_C = 0
count_G = 0
count_A = 0
count_T = 0
dna = ""

# while loop to generate random sequence
while count_bases < sequence_length:
    base_number = random.randint(1,4)   # Generates random number in [1,4]
    if base_number == 1:                # For C
        base = "C"
        count_C += 1                    # Adds 1 to count_C
    elif base_number == 2:              # For G
        base = "G"
        count_G += 1                    # Adds 1 to count_G
    elif base_number == 3:              # For A
        base = "A"
        count_A += 1                    # Adds 1 to count_A
    else:                               # For T
        base = "T"                      
        count_T += 1                    # Adds 1 to count_T
    dna = "".join([dna,base])           # Adds to dna sequence using .join to add strings
    # dna = dna+base                    # We may use operator "+" to add string
    count_bases += 1                    

# Calculates percentage for each base
if count_bases > 0:
    perc_C = 100*count_C/count_bases
    perc_G = 100*count_G/count_bases
    perc_A = 100*count_A/count_bases
    perc_T = 100*count_T/count_bases
# Shows dna sequence
print("\nMy random DNA sequence:")
print(dna)
# Writes sequence to output file
dna_out.write(dna)

# Closes DNA file
dna_out.close()
# Shows percentage for each base
print("\nPercentage of C in the sequence: ",perc_C)
print("\nPercentage of G in the sequence: ",perc_G)
print("\nPercentage of A in the sequence: ",perc_A)
print("\nPercentage of T in the sequence: ",perc_T)